Announcement

Collapse
No announcement yet.

Cannot connect to SN from LMS. ipeng and mysqueezebox OK. Mac OS 10.11.6

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Cannot connect to SN from LMS. ipeng and mysqueezebox OK. Mac OS 10.11.6

    > Good morning Michael. Problem solved. I used a patcher to install mac OS
    > X 10.13.6. All works fine now. Wasn't that easy, and was time consuming.
    > Is there a reason that the minimum mas OS is 10.13? Nigel


    I'm sorry, I don't follow.

    #2
    Cannot connect to SN from LMS. ipeng and mysqueezebox OK. Mac OS 10.11.6

    The login address and passwords are saved in the LMS UI OK. I get "Invalid mysqueezebox.com username password" message when I try and put in details in the Logitech Media Server, Account, System Preferences. I have clean reinstalled LMS twice. Deleted caches and preferences etc. I have another Macbook Pro I used to use as a music served which worked straight away, but has since crashed.
    I have looked at every relevant message on the internet, but nothing has worked so far. Please help..

    Click image for larger version

Name:	Screen Shot 2022-03-09 at 20.01.24.png
Views:	1
Size:	46.8 KB
ID:	1574667

    Comment


      #3
      Cannot connect to SN from LMS. ipengand mysqueezebox OK. Mac OS 10.11.6

      > The login address and passwords are saved in the LMS UI OK. I get
      > "Invalid mysqueezebox.com username password" message when I try and put
      > in details in the Logitech Media Server, Account, System Preferences. I


      Hmm... wanted to say 10.11 was too old. But you upgraded IO::Socket::SSL
      yourself? Are there any errors in server.log?
      Michael

      "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
      (LMS: Settings/Information)

      Comment


        #4
        Cannot connect to SN from LMS. ipeng and mysqueezebox OK. Mac OS 10.11.6

        Originally posted by mherger View Post
        > The login address and passwords are saved in the LMS UI OK. I get
        > "Invalid mysqueezebox.com username password" message when I try and put
        > in details in the Logitech Media Server, Account, System Preferences. I


        Hmm... wanted to say 10.11 was too old. But you upgraded IO::Socket::SSL
        yourself? Are there any errors in server.log?
        Good morning Michael. Thanks for your assistance. I didn't upgrade the IO::Socket::SSL. This is a Macbook Pro (mid 2009) I used in the UK for work and a music server for my partners Squeezebox 3. I have now brought it here to France as the Macbook Pro I used here was starting to crash a lot.. I partitioned the hard drive with OS X 10.8.5 on one half and OS X 10.11.6 on the other for the Squeezebox Touch and other internet based stuff. When I initially set up the Touch with this mac bookI couldn't get mysqueezebox.com either. I connected after a clean install. I have just started the Squeezebox. Here is the Server log...Click image for larger version

Name:	Screen Shot 2022-03-10 at 06.36.17.png
Views:	1
Size:	83.3 KB
ID:	1574668

        Comment


          #5
          Cannot connect to SN from LMS. ipengand mysqueezebox OK. Mac OS 10.11.6

          > Good morning Michael. Thanks for your assistance. I didn't upgrade the
          > IO::Socket::SSL.


          Interesting. The symptoms I see are those of an outdated SSL stack. But
          the version reported is quite recent, not something that would have been
          shipped with macOS.

          I'd still recommend you try to update its dependencies using the
          instructions found in this posting:



          Michael

          "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
          (LMS: Settings/Information)

          Comment


            #6
            Cannot connect to SN from LMS. ipeng and mysqueezebox OK. Mac OS X 10.11.6

            Hi Michael. I did what you suggested and it has upgraded. Still didn't work. Earlier I reseated the RAM in my dodgy macbook pro and started it. I went to the System Preferences and started the LMS and it connected straight away. I didn't even have to put in the username and password It added the details itself, which it doesn't on this macbook pro. The dodgy macbook pro has an older IO::Socket::SSL. Details attached. For some reason it's not accessing the username and password... Cheers, NigelClick image for larger version

Name:	IMG_2904.jpg
Views:	1
Size:	213.2 KB
ID:	1574682

            Comment


              #7
              Cannot connect to SN from LMS. ipengand mysqueezebox OK. Mac OS 10.11.6

              > dodgy macbook pro has an older IO::Socket::SSL. Details attached. For

              That's definitely too old. You could give the "Big Sur / Monterey" build
              of 8.3 a try (https://downloads.slimdevices.com/nightly/?ver=8.3). I
              know, the name suggests its for newer boxes only. But think I made 10.13
              the minimum version on Intel systems.
              Michael

              "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
              (LMS: Settings/Information)

              Comment


                #8
                Cannot connect to SN from LMS. ipengand mysqueezebox OK. Mac OS 10.11.6

                Originally posted by mherger View Post
                > dodgy macbook pro has an older IO::Socket::SSL. Details attached. For

                That's definitely too old. You could give the "Big Sur / Monterey" build
                of 8.3 a try (https://downloads.slimdevices.com/nightly/?ver=8.3). I
                know, the name suggests its for newer boxes only. But think I made 10.13
                the minimum version on Intel systems.
                Thanks Michael. The older IO::Socket::SSL : 1.966 works fine on the macbook pro with mac OS X 10.13.6. So it must be the OS... That's a problem. As the LMS is written in Perl does it have to be min. 10.13? There must be thousands of people with macbook pros like mine that cannot now use their LMS... Nigel

                Comment


                  #9
                  Cannot connect to SN from LMS. ipengand mysqueezebox OK. Mac OS 10.11.6

                  > Thanks Michael. The older IO::Socket::SSL : 1.966 works fine on the
                  > macbook pro with mac OS X 10.13.6. So it must be the OS... That's a
                  > problem. As the LMS is written in Perl does it have to be min. 10.13?


                  I'm confused. The other system information you posted had a very recent
                  library version (2.067?).
                  Michael

                  "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
                  (LMS: Settings/Information)

                  Comment


                    #10
                    Originally posted by mherger View Post
                    > Thanks Michael. The older IO::Socket::SSL : 1.966 works fine on the
                    > macbook pro with mac OS X 10.13.6. So it must be the OS... That's a
                    > problem. As the LMS is written in Perl does it have to be min. 10.13?


                    I'm confused. The other system information you posted had a very recent
                    library version (2.067?).
                    Morning Michael. This macbook pro, mac OS X 10.11.6, I updated to the recent IO::Socket::SSL, doesn't work with LMS. My other macbook pro mac OS X 10.13.6, which keeps crashing, has the older IO::Socket::SSL (1.966) which works fine. Nigel

                    Comment


                      #11
                      Cannot connect to SN from LMS. ipeng and mysqueezebox OK. Mac OS 10.11.6

                      Good morning Michael. Problem solved. I used a patcher to install mac OS X 10.13.6. All works fine now. Wasn't that easy, and was time consuming. Is there a reason that the minimum mas OS is 10.13? Nigel

                      Comment


                        #12
                        Cannot connect to SN from LMS. ipeng and mysqueezebox OK. Mac OS 10.11.6

                        Originally posted by mherger View Post
                        > Good morning Michael. Problem solved. I used a patcher to install mac OS
                        > X 10.13.6. All works fine now. Wasn't that easy, and was time consuming.
                        > Is there a reason that the minimum mas OS is 10.13? Nigel


                        I'm sorry, I don't follow.
                        Michael I have upgraded the OS from 10.11.6 to 10.13.6 and now it connects... Nigel

                        Comment

                        Working...
                        X